Skip to main content
`Ctrl`+`K`

# PCMGCoarseSpaceType

Function space for coarse space for adaptive interpolation

## Synopsis

    typedef enum {
      PCMG_ADAPT_NONE,
      PCMG_ADAPT_POLYNOMIAL,
      PCMG_ADAPT_HARMONIC,
      PCMG_ADAPT_EIGENVECTOR,
      PCMG_ADAPT_GENERALIZED_EIGENVECTOR,
      PCMG_ADAPT_GDSW
    } PCMGCoarseSpaceType;

## See Also

Preconditioners, `PCMGSetAdaptCoarseSpaceType()`, `PCMG`, `PC`

## Level

beginner

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages